Scilab does not start on bionic and focal

Bug #1870813 reported by Norbert
66
This bug affects 9 people
Affects Status Importance Assigned to Milestone
Scilab
New
Undecided
Unassigned
scilab (Ubuntu)
Undecided
Unassigned
Bionic
High
Unassigned
Focal
High
Unassigned
Groovy
Undecided
Unassigned

Bug Description

[Impact]
Scilab does not start. This is a regression from an OpenJDK 11 update.

SRU TEAM: please note that scilab runs OpenJDK 8 and since Bionic we have been forcing it to use OpenJDK 11 (see bug 1814133). Since the last Bionic and Focal update there have been fixes from both upstream and Debian to improve compatibility. Apart from those fixes I would like to bring additional fixes to our LTS releases and align them better with the one on Groovy (which works fine):
* improved dependencies
* appdata/desktop fixes to improve user experience
* update from 6.0.1 to 6.0.2 in Bionic

[Test Case]
On Bionic or Focal:

Steps to reproduce:
1. Install Scilab with `sudo apt-get install scilab`
2. Try to launch Scilab from terminal by using command `scilab`

Expected results:
* Scilab started normally

Actual results:
* Scilab does not start, shows the following output in the terminal:

$ scilab
Picked up _JAVA_OPTIONS: -Djava.class.path=/usr/share/java/flexdock.jar:/usr/share/java/skinlf.jar:/usr/share/java/looks.jar:/usr/share/java/commons-logging.jar:/usr/share/java/jhall.jar:/usr/share/java/lucene-core-4.10.4.jar:/usr/share/java/lucene-analyzers-common-4.10.4.jar:/usr/share/java/lucene-queryparser-4.10.4.jar:/usr/share/maven-repo/org/freehep/freehep-util/debian/freehep-util-debian.jar:/usr/share/maven-repo/org/freehep/freehep-io/debian/freehep-io-debian.jar:/usr/share/maven-repo/org/freehep/freehep-graphicsio/debian/freehep-graphicsio-debian.jar:/usr/share/java/freehep-graphicsio-emf-2.1.jar:/usr/share/java/freehep-graphics2d-2.1.1.jar:/usr/share/java/jrosetta-API.jar:/usr/share/java/jrosetta-engine-1.0.4.jar:/usr/share/java/jgraphx.jar:/usr/share/java/jogl2.jar:/usr/share/java/gluegen2-rt.jar:/usr/share/java/jeuclid-core.jar:/usr/share/java/jlatexmath-fop-1.0.7.jar:/usr/share/java/fop.jar:/usr/share/java/saxon.jar:/usr/share/java/batik.jar:/usr/share/java/xml-apis-ext.jar:/usr/share/java/commons-io.jar:/usr/share/java/xmlgraphics-commons.jar:/usr/share/java/avalon-framework.jar:/usr/share/java/jlatexmath-1.0.7.jar:/usr/share/java/ecj.jar:/usr/share/java/javax.activation.jar:/usr/share/java/jaxb-runtime.jar:/usr/share/scilab/modules/jvm/jar/org.scilab.modules.jvm.jar:/usr/share/scilab/modules/completion/jar/org.scilab.modules.completion.jar:/usr/share/scilab/modules/graphic_export/jar/org.scilab.modules.graphic_export.jar:/usr/share/scilab/modules/external_objects_java/tests/libintl.jar:/usr/share/scilab/modules/external_objects_java/jar/org.scilab.modules.external_objects_java.jar:/usr/share/scilab/modules/scirenderer/jar/scirenderer.jar:/usr/share/scilab/modules/action_binding/jar/org.scilab.modules.action_binding.jar:/usr/share/scilab/modules/history_manager/jar/org.scilab.modules.history_manager.jar:/usr/share/scilab/modules/console/jar/org.scilab.modules.console.jar:/usr/share/scilab/modules/graphic_objects/jar/org.scilab.modules.graphic_objects.jar:/usr/share/scilab/modules/xcos/jar/org.scilab.modules.xcos.jar:/usr/share/scilab/modules/commons/jar/org.scilab.modules.commons.jar:/usr/share/scilab/modules/graph/jar/org.scilab.modules.graph.jar:/usr/share/scilab/modules/gui/jar/org.scilab.modules.gui.jar:/usr/share/scilab/modules/renderer/jar/org.scilab.modules.renderer.jar:/usr/share/scilab/modules/helptools/jar/scilab_ja_JP_help.jar:/usr/share/scilab/modules/helptools/jar/scilab_fr_FR_help.jar:/usr/share/scilab/modules/helptools/jar/scilab_pt_BR_help.jar:/usr/share/scilab/modules/helptools/jar/scilab_ru_RU_help.jar:/usr/share/scilab/modules/helptools/jar/scilab_en_US_help.jar:/usr/share/scilab/modules/helptools/jar/scilab_images.jar:/usr/share/scilab/modules/helptools/jar/org.scilab.modules.helptools.jar:/usr/share/scilab/modules/types/jar/org.scilab.modules.types.jar:/usr/share/scilab/modules/localization/jar/org.scilab.modules.localization.jar:/usr/share/scilab/modules/javasci/jar/org.scilab.modules.javasci.jar:/usr/share/scilab/modules/preferences/jar/org.scilab.modules.preferences.jar:/usr/share/scilab/modules/core/jar/org.scilab.modules.core.jar:/usr/share/scilab/modules/history_browser/jar/org.scilab.modules.history_browser.jar:/usr/share/scilab/modules/ui_data/jar/org.scilab.modules.ui_data.jar:/usr/share/scilab/modules/scinotes/jar/org.scilab.modules.scinotes.jar:
WARNING: An illegal reflective access operation has occurred
WARNING: Illegal reflective access by org.scilab.modules.jvm.LibraryPath (file:/usr/share/scilab/modules/jvm/jar/org.scilab.modules.jvm.jar) to field java.lang.ClassLoader.sys_paths
WARNING: Please consider reporting this to the maintainers of org.scilab.modules.jvm.LibraryPath
WARNING: Use --illegal-access=warn to enable warnings of further illegal reflective access operations
WARNING: All illegal access operations will be denied in a future release
Could not access to the Main Scilab Class:
Exception in thread "main" java.lang.ExceptionInInitializerError
 at org.scilab.modules.localization.Messages.gettext(Unknown Source)
 at org.scilab.modules.commons.xml.XConfiguration.<clinit>(Unknown Source)
 at org.scilab.modules.core.Scilab.<clinit>(Unknown Source)
Caused by: java.lang.NullPointerException
 at java.base/java.lang.ClassLoader.loadLibrary(ClassLoader.java:2646)
 at java.base/java.lang.Runtime.loadLibrary0(Runtime.java:830)
 at java.base/java.lang.System.loadLibrary(System.java:1870)
 at org.scilab.modules.localization.MessagesJNI.<clinit>(Unknown Source)
 ... 3 more

Scilab cannot create Scilab Java Main-Class (we have not been able to find the main Scilab class. Check if the Scilab and thirdparty packages are available).

[Regression Potential]
Updating scilab fixes a regression introduced by a previous OpenJDK 11 update that prevented it from running.

* The patch that fix the library path regression OpenJDK 11 might regress on a later if OpenJDK 11 changes how the library path is loaded.

Additionally on Focal the update brings the following updates from Groovy:
* add missing runtime dependencies for 2 graphical libraries (libfreehep-graphicsio-java and libfreehep-util-java)
* fix desktop, appdata, and icons: this improves user experience, can regress or cause interference with custom files create by the user.
* make the classpath more flexible: makes the classpath less dependend on hard-coded versions, so when runtime dependencies are updated scilab still works, but could regress if the packaged jar gets updated to a new version with an incompatible API (unlikely on Focal).
* update font dependencies from ttf-dejavu-core to fonts-dejavu-core: ttf-dejavu-core is a dummy transitional package that depends on fonts-dejavu-core so ttf-dejavu-core should already be installed when doing an update, can regress if the ttf-dejavu-core font path changes (unlikely to happen on Focal).

On Bionic, all the fixes above plus:
* Update from 6.0.1 to 6.0.2 drops a lot of debian/patches that were applied upstream or fixed in some other way. This *is* a big change with 305 fixes but brings various important fixes from 6.0.2 (which is the last stable release for 6.0). That said, regressions are expected, but so would I expect bug reports if simply fixing 6.0.1 and leaving all the 6.0.2 fixes behind.
And, just for the sake of argument, if anyone asks "why not update to 6.1 then as that would possibily fix even more bugs?" besides that obviously falling out of SRU definition, the answer is that such change does cause regressions for users because various scilab 'addons' don't yet support 6.1. We do gain from having 6.0 in Bionic and 6.1 in Focal as users can stay on the LTS distro that better supports their needs.
* patch to support HDF5 1.10 on scilab 6.0 which is being tracked on bug 1765503

[Other Info]
The foundations team worked with the security team on the OpenJDK 11 migration. Steve Beattie was involved. We got help approving changes from the SRU team member Lukasz Zemczak.

I am subscribed to the package and will be keeping an eye on the scilab update. I do plan to investigate and fix bugs introduced by this SRU, specially on Bionic were we update from 6.0.1 to 6.0.2.

Upstream claims that code and test quality is good, with unit and regression tests being done as well as code coverage [1,2] but the builds are not reacheable [3] and compilation chain [4] requires a login. The bug tracker [5] has 80 open bugs for 6.0.1 (9 blocker/critical) and 100 open bugs for 6.0.2 (7 blocker/critical). I don't see any significant commits to the 6.0 branch [6] after 6.0.2 release.

References:
[1] https://www.scilab.org/about/scilab-open-source-software
[2] https://scan.coverity.com/projects/881
[3] http://build.scilab.org/
[4] http://compilationchain.scilab.org/
[5] http://bugzilla.scilab.org
[6] http://gitweb.scilab.org/?p=scilab.git;a=shortlog;h=refs/heads/6.0

[From original report]
ProblemType: Bug
DistroRelease: Ubuntu 20.04
Package: scilab 6.1.0+dfsg1-1ubuntu3
ProcVersionSignature: Ubuntu 5.4.0-21.25-generic 5.4.27
Uname: Linux 5.4.0-21-generic x86_64
ApportVersion: 2.20.11-0ubuntu22
Architecture: amd64
CurrentDesktop: MATE
Date: Sat Apr 4 19:12:56 2020
InstallationDate: Installed on 2020-04-04 (0 days ago)
InstallationMedia: Ubuntu-MATE 20.04 LTS "Focal Fossa" - Beta amd64 (20200402)
PackageArchitecture: all
SourcePackage: scilab
UpgradeStatus: No upgrade log present (probably fresh install)

Revision history for this message
Norbert (nrbrtx) wrote :
Revision history for this message
Hans Joachim Desserud (hjd) wrote :

I get the same error message when attempting to start scilab on Focal.

Looks like it might be the same error occuring during build-time in https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=955694

Changed in scilab (Ubuntu):
status: New → Confirmed
Revision history for this message
Norbert (nrbrtx) wrote :

Still happens even with focal-proposed.

Should be fixed before final release.

Revision history for this message
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1870813

tags: added: iso-testing
Revision history for this message
Lesley (lesleydc) wrote :

It also happens on bionic (again) for scilab version 6.0.1-7ubuntu1~18.04.1.

Norbert (nrbrtx)
tags: added: rls-ff-incoming
Revision history for this message
Norbert (nrbrtx) wrote :

Still happens on Focal.

Revision history for this message
Timo Aaltonen (tjaalton) wrote :

fixed in groovy

 scilab (6.1.0+dfsg1-2) unstable; urgency=medium
 .
   * Add new patch to avoid FTBFS with newer libxml2 (Closes: #949494).
   * Make the classpath less sensible to version changes (Closes: #892254).
   * Add new patch from Gilles Filippini to fix NullPointerException with
     openjdk >= 11.0.7-9 (Closes: #955694, #956908).
   * Add patch to the appdata file so it points to the right desktop file.

Changed in scilab (Ubuntu):
status: Confirmed → Fix Released
Revision history for this message
Norbert (nrbrtx) wrote :

Please do not forget to fix this bug from *focal* 20.04 LTS (!!!!!!).

Revision history for this message
Norbert (nrbrtx) wrote :

Please do not forget to fix this bug from *focal* 20.04 LTS (!!!!!!).

Revision history for this message
Norbert (nrbrtx) wrote :

Scilab is still broken on latest LTS release.

Revision history for this message
Norbert (nrbrtx) wrote :

This is really unbelievable.
Ubuntu is often used by educators. Educators use Scilab.
But the Scilab packages are broken in 18.04 LTS (bug 1884277 ), in 19.10 (EOL, bug 1877234) and in upcoming 20.04 LTS too (this bug 1870813 ).

Are you kidding?

Changed in scilab (Ubuntu):
status: Fix Released → Confirmed
Revision history for this message
Matthias Klose (doko) wrote :

Norbert, your choice of language certainly doesn't help. If you would like to help, please could prepare a SRU for scilab, see https://wiki.ubuntu.com/StableReleaseUpdates for the procedures.

Revision history for this message
Dimitri John Ledkov (xnox) wrote :

Works on groovy correctly, installs launches, interpreter executes commands and I can exit it.

I am very basic scilab user, and forgot everything about it since university.

tags: added: id-5f19ac564ce2f58d14489366
tags: removed: rls-ff-incoming
Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in java-common (Ubuntu Focal):
status: New → Confirmed
Changed in java-common (Ubuntu):
status: New → Confirmed
Changed in openjdk-lts (Ubuntu Focal):
status: New → Confirmed
Changed in openjdk-lts (Ubuntu):
status: New → Confirmed
Changed in scilab (Ubuntu Focal):
status: New → Confirmed
Revision history for this message
Tiago Stürmer Daitx (tdaitx) wrote :

Backporting some selected fixes from Groovy works ok on Focal.

Norbert, assuming scilab 6.1 works on Bionic, do you see or know any limitations/problems of upgrading Bionic's scilab from 6.0 to 6.1?

Revision history for this message
Tiago Stürmer Daitx (tdaitx) wrote :

Added bionic task. Removed java-common and openjdk-lts as being affected.

description: updated
Changed in openjdk-lts (Ubuntu):
status: Confirmed → Invalid
Changed in java-common (Ubuntu):
status: Confirmed → Invalid
Changed in java-common (Ubuntu Focal):
status: Confirmed → Invalid
Changed in openjdk-lts (Ubuntu Focal):
status: Confirmed → Invalid
Changed in scilab (Ubuntu):
status: Confirmed → Fix Released
no longer affects: java-common (Ubuntu)
no longer affects: openjdk-lts (Ubuntu)
no longer affects: java-common (Ubuntu Bionic)
no longer affects: java-common (Ubuntu Focal)
no longer affects: openjdk-lts (Ubuntu Bionic)
no longer affects: openjdk-lts (Ubuntu Focal)
Revision history for this message
Norbert (nrbrtx) wrote :

@Tiago Stürmer Daitx (tdaitx)

I have tested 6.1 from Groovy on Focal - it works normally.
So backporting 6.1 to Focal is a good solution.

I'm not sure about using 6.1 packages on Bionic, can't install them directly here because of dependency problems for at least libc6.

The Scilab 6.1 itself is good.

Thank you!

summary: - Scilab does not start on focal
+ Scilab does not start on bionic and focal
tags: added: bionic rls-bb-incoming rls-ff-incoming
Revision history for this message
Tiago Stürmer Daitx (tdaitx) wrote :

Norbert, thanks for the updates. The package has been uploaded to Focal and is waiting approval.

As for Bionic, I will cherry pick some patches. Scilab 6.1 introduced the fileio module which depends on std::filesystem::weakly_canonical that is only available on libstdc++-8. Bionic uses gcc/g++ 7 by default, so we are not recompiling scilab with gcc/g++ 8.

Changed in scilab (Ubuntu Bionic):
importance: Undecided → High
Changed in scilab (Ubuntu Focal):
importance: Undecided → High
Changed in scilab (Ubuntu Bionic):
status: New → Confirmed
description: updated
tags: removed: rls-ff-incoming
description: updated
description: updated
description: updated
description: updated
tags: added: fr-115
Revision history for this message
Norbert (nrbrtx) wrote :

Scilab is still broken on supported 18.04 LTS release. How long?

Revision history for this message
Sylvestre Ledru (sylvestre) wrote :

I guess this package is synchronized from Debian and not maintained in Ubuntu.

Maybe volunteer to help?

Revision history for this message
Ian Gebbie (igebbie) wrote : RE: [Bug 1870813] Re: Scilab does not start on bionic and focal
Download full text (10.2 KiB)

Hi

Thanks for the feedback. Better on 20.10.

Yeah, happy to help. Maybe a pointer to the best way to start?

Cheers

Ian

-----Original Message-----
From: <email address hidden> <email address hidden> On Behalf Of Sylvestre Ledru
Sent: Monday, 07 December 2020 14:37
To: <email address hidden>
Subject: [Bug 1870813] Re: Scilab does not start on bionic and focal

I guess this package is synchronized from Debian and not maintained in Ubuntu.

Maybe volunteer to help?

--
You received this bug notification because you are subscribed to a duplicate bug report (1877234).
https://bugs.launchpad.net/bugs/1870813

Title:
  Scilab does not start on bionic and focal

Status in Scilab:
  New
Status in scilab package in Ubuntu:
  Fix Released
Status in scilab source package in Bionic:
  Confirmed
Status in scilab source package in Focal:
  Confirmed
Status in scilab source package in Groovy:
  Fix Released

Bug description:
  [Impact]
  Scilab does not start. This is a regression from an OpenJDK 11 update.

  SRU TEAM: please note that scilab runs OpenJDK 8 and since Bionic we have been forcing it to use OpenJDK 11 (see bug 1814133). Since the last Bionic and Focal update there have been fixes from both upstream and Debian to improve compatibility. Apart from those fixes I would like to bring additional fixes to our LTS releases and align them better with the one on Groovy (which works fine):
  * improved dependencies
  * appdata/desktop fixes to improve user experience
  * update from 6.0.1 to 6.0.2 in Bionic

  [Test Case]
  On Bionic or Focal:

  Steps to reproduce:
  1. Install Scilab with `sudo apt-get install scilab`
  2. Try to launch Scilab from terminal by using command `scilab`

  Expected results:
  * Scilab started normally

  Actual results:
  * Scilab does not start, shows the following output in the terminal:

  $ scilab
  Picked up _JAVA_OPTIONS: -Djava.class.path=/usr/share/java/flexdock.jar:/usr/share/java/skinlf.jar:/usr/share/java/looks.jar:/usr/share/java/commons-logging.jar:/usr/share/java/jhall.jar:/usr/share/java/lucene-core-4.10.4.jar:/usr/share/java/lucene-analyzers-common-4.10.4.jar:/usr/share/java/lucene-queryparser-4.10.4.jar:/usr/share/maven-repo/org/freehep/freehep-util/debian/freehep-util-debian.jar:/usr/share/maven-repo/org/freehep/freehep-io/debian/freehep-io-debian.jar:/usr/share/maven-repo/org/freehep/freehep-graphicsio/debian/freehep-graphicsio-debian.jar:/usr/share/java/freehep-graphicsio-emf-2.1.jar:/usr/share/java/freehep-graphics2d-2.1.1.jar:/usr/share/java/jrosetta-API.jar:/usr/share/java/jrosetta-engine-1.0.4.jar:/usr/share/java/jgraphx.jar:/usr/share/java/jogl2.jar:/usr/share/java/gluegen2-rt.jar:/usr/share/java/jeuclid-core.jar:/usr/share/java/jlatexmath-fop-1.0.7.jar:/usr/share/java/fop.jar:/usr/share/java/saxon.jar:/usr/share/java/batik.jar:/usr/share/java/xml-apis-ext.jar:/usr/share/java/commons-io.jar:/usr/share/java/xmlgraphics-commons.jar:/usr/share/java/avalon-framework.jar:/usr/share/java/jlatexmath-1.0.7.jar:/usr/share/java/ecj.jar:/usr/share/java/javax.activation.jar:/usr/share/java/jaxb-runtime.jar:/usr/share/scilab/modules/jvm/jar/org.scilab.modules.jvm.jar:/usr/share/scilab/modules/completion/jar/...

Revision history for this message
Norbert (nrbrtx) wrote :

Still broken on 18.04 LTS and 20.04 LTS. LTS, Karl!

Revision history for this message
Sylvestre Ledru (sylvestre) wrote :

Karl would be happy to see you helping ;)

Revision history for this message
Stéphane Mottelet (mottelet) wrote :

Bonsoir Sylvestre,

Il va falloir que tu m'explique ce que je peux faire de mon côté car
c'est plutôt Clément qui maitrise le build sous Linux (moi c'est sous
macOS, et les problèmes sont disons... différents mais tout aussi
présents). Surtout que là les problèmes principaux sont dus me
semble-t-il au fait que l'on est toujours sur du Java 8 pour Scilab. Je
crois que Clément travaille sur les modifs à faire pour que nous
passions à Java 11 mais tu dois savoir que tous ceux qui sont passés
chez ESI s'occupent de Scilab en temps que tel sur leurs heures perdues.
Et moi j'essaye d'empêcher Samuel de faire perdre son temps à tout le
monde...

Mais je suis prêt à donner un coup de main si, bien sûr. Si je comprends
bien il faudrait que nous intégrions des correctifs qui ont été
nécessaires du côté Ubuntu ?

A+

Stéphane

Le 04/04/2021 à 22:43, Sylvestre Ledru a écrit :
> Karl would be happy to see you helping ;)
>
--
Stéphane Mottelet
Ingénieur de recherche
EA 4297 Transformations Intégrées de la Matière Renouvelable
Département Génie des Procédés Industriels
Sorbonne Universités - Université de Technologie de Compiègne
CS 60319, 60203 Compiègne cedex
Tel : +33(0)344234688
http://www.utc.fr/~mottelet

Revision history for this message
Stéphane Mottelet (mottelet) wrote :

Sorry guys this private answer should not have been done there. I was saying to Sylvestre that I could help to propagate some fixes to upstream.

S.

Revision history for this message
Clark Dunson (cdunson) wrote :
Download full text (5.1 KiB)

Hello; I am also trying to make this work. I'm get the same Java error, and trying to run down the comments about 6.1. This is what I see:

(base) cuz@ubuntu:~$ uname -a
Linux ubuntu 5.8.0-48-generic #54~20.04.1-Ubuntu SMP Sat Mar 20 13:40:25 UTC 2021 x86_64 x86_64 x86_64 GNU/Linux
(base) cuz@ubuntu:~$ uname -r
5.8.0-48-generic
(base) cuz@ubuntu:~$ uname -s
Linux
(base) cuz@ubuntu:~$ scilab -version
Scilab version "6.1.0.0"
scilab-branch-master
(base) cuz@ubuntu:~$ uname -a
Linux ubuntu 5.8.0-48-generic #54~20.04.1-Ubuntu SMP Sat Mar 20 13:40:25 UTC 2021 x86_64 x86_64 x86_64 GNU/Linux
(base) cuz@ubuntu:~$ uname -r
5.8.0-48-generic
(base) cuz@ubuntu:~$ uname -s
Linux
(base) cuz@ubuntu:~$ scilab -version
Scilab version "6.1.0.0"
scilab-branch-master
(base) cuz@ubuntu:~$ scilab
Picked up _JAVA_OPTIONS: -Djava.class.path=/usr/share/java/flexdock.jar:/usr/share/java/skinlf.jar:/usr/share/java/looks.jar:/usr/share/java/commons-logging.jar:/usr/share/java/jhall.jar:/usr/share/java/lucene-core-4.10.4.jar:/usr/share/java/lucene-analyzers-common-4.10.4.jar:/usr/share/java/lucene-queryparser-4.10.4.jar:/usr/share/maven-repo/org/freehep/freehep-util/debian/freehep-util-debian.jar:/usr/share/maven-repo/org/freehep/freehep-io/debian/freehep-io-debian.jar:/usr/share/maven-repo/org/freehep/freehep-graphicsio/debian/freehep-graphicsio-debian.jar:/usr/share/java/freehep-graphicsio-emf-2.1.jar:/usr/share/java/freehep-graphics2d-2.1.1.jar:/usr/share/java/jrosetta-API.jar:/usr/share/java/jrosetta-engine-1.0.4.jar:/usr/share/java/jgraphx.jar:/usr/share/java/jogl2.jar:/usr/share/java/gluegen2-rt.jar:/usr/share/java/jeuclid-core.jar:/usr/share/java/jlatexmath-fop-1.0.7.jar:/usr/share/java/fop.jar:/usr/share/java/saxon.jar:/usr/share/java/batik.jar:/usr/share/java/xml-apis-ext.jar:/usr/share/java/commons-io.jar:/usr/share/java/xmlgraphics-commons.jar:/usr/share/java/avalon-framework.jar:/usr/share/java/jlatexmath-1.0.7.jar:/usr/share/java/ecj.jar:/usr/share/java/javax.activation.jar:/usr/share/java/jaxb-runtime.jar:/usr/share/scilab/modules/jvm/jar/org.scilab.modules.jvm.jar:/usr/share/scilab/modules/helptools/jar/scilab_en_US_help.jar:/usr/share/scilab/modules/helptools/jar/scilab_images.jar:/usr/share/scilab/modules/helptools/jar/scilab_ru_RU_help.jar:/usr/share/scilab/modules/helptools/jar/org.scilab.modules.helptools.jar:/usr/share/scilab/modules/javasci/jar/org.scilab.modules.javasci.jar:/usr/share/scilab/modules/gui/jar/org.scilab.modules.gui.jar:/usr/share/scilab/modules/history_browser/jar/org.scilab.modules.history_browser.jar:/usr/share/scilab/modules/history_manager/jar/org.scilab.modules.history_manager.jar:/usr/share/scilab/modules/localization/jar/org.scilab.modules.localization.jar:/usr/share/scilab/modules/graphic_export/jar/org.scilab.modules.graphic_export.jar:/usr/share/scilab/modules/action_binding/jar/org.scilab.modules.action_binding.jar:/usr/share/scilab/modules/scinotes/jar/org.scilab.modules.scinotes.jar:/usr/share/scilab/modules/preferences/jar/org.scilab.modules.preferences.jar:/usr/share/scilab/modules/graph/jar/org.scilab.modules.graph.jar:/usr/share/scilab/modules/external_objects_java/jar/org.scilab.modules.external_objects_java.jar:/us...

Read more...

Revision history for this message
Petr Hamal (p.hamal) wrote :

Hello,
 is there any progress? I can also confirm that the Scilab is not starting in Ubuntu 20.04 LTS. It looks to me there is no desire to solve it. That is very sad :( At least in the LTS version I would expect the bug solving ...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.